# List

To list the transcripts for a concrete room you need to execute a **GET** request against the **/rooms/:id/transcripts** endpoint.&#x20;

{% hint style="info" %}
Use the **session\_id** argument if you want to list transcripts for a concrete session.\
<https://api.digitalsamba.com/api/v1/rooms/c39d7c40-7ff7-4faa-b06f-698a639a9523/transcripts?**session\\_id**=16e44502-dae5-41f9-b095-e41bf6ac2d1d>
{% endhint %}

{% hint style="info" %}
Since potentially there could be thousands of transcripts, pagination is supported with **limit** and **offset arguments.** Read about [pagination](/reference/rest-api/pagination.md) to learn the details of it. By default maximum 100 transcripts will be returned in the response.
{% endhint %}

#### Request

{% tabs %}
{% tab title="cURL" %}
{% code overflow="wrap" %}

```bash
curl --request GET \
  --url https://api.digitalsamba.com/api/v1/rooms/c39d7c40-7ff7-4faa-b06f-698a639a9523/transcripts \
  --user YOUR_TEAM_ID:YOUR_DEVELOPER_KEY
```

{% endcode %}
{% endtab %}

{% tab title="Java" %}

```java
import com.fasterxml.jackson.databind.ObjectMapper;

import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
import java.net.http.HttpResponse.BodyHandlers;
import java.util.Base64;
import java.util.Map;

String TEAM_ID = "YOUR_TEAM_ID";
String DEVELOPER_KEY = "YOUR_DEVELOPER_KEY";
String authorizationHeader = "Bearer " + Base64.getEncoder().encodeToString((TEAM_ID + ":" + DEVELOPER_KEY).getBytes());
//Put your room id or friendly_url (name) here - this value is just an example
String roomId = "c39d7c40-7ff7-4faa-b06f-698a639a9523";

HttpRequest request = HttpRequest.newBuilder()
  .GET()
  .uri(new URI("https://api.digitalsamba.com/api/v1/rooms/" + roomId + "/transcripts"))
  .header("Authorization", authorizationHeader)
  .build();

HttpClient client = HttpClient.newHttpClient();
HttpResponse<String> response = client.send(request, BodyHandlers.ofString());

System.out.println("Status code: " + response.statusCode());
System.out.println("Body: " + response.body());
```

{% endtab %}
{% endtabs %}

#### Response (200 OK)

```json
{
    "total_count": 3,
    "data": [
        {
            "participant_id": "f06e6600-9424-4dc0-8e7d-a968df2c983d",
            "participant_name": "John Smith",
            "transcript": "Morning. How are you?",
            "start_time": "2024-04-10T12:18:27Z",
            "end_time": "2024-04-10T12:33:27Z"
        },
        {
            "participant_id": "f06e6600-9424-4dc0-8e7d-a968df2c983d",
            "participant_name": "Jane Doe",
            "transcript": "I am fine, thanks! What about you?",
            "start_time": "2024-04-10T12:10:27Z",
            "end_time": "2024-04-10T12:31:27Z"
        },
        {
            "participant_id": "f06e6600-9424-4dc0-8e7d-a968df2c983d",
            "participant_name": "John Doe",
            "transcript": "Hi all!",
            "start_time": "2024-04-10T12:06:27Z",
            "end_time": "2024-04-10T12:33:27Z"
        }
    ]
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.digitalsamba.com/reference/rest-api/rooms/transcription/list.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
